package click.kamil.multi.api;

import org.springframework.statemachine.StateContext;
import org.springframework.statemachine.action.Action;

public interface ProcessAction extends Action<String, String> {

    @Override
    default void execute(StateContext<String, String> context) {
        System.out.println("Processing order: " + context.getMessageHeader("orderId"));
    }
}
